<!DOCTYPE html>
<html>
    <head>
        <title>Convert 5eTools JSON output to DnDAppFile XML</title>
        <meta name="viewport" content="width=device-width, initial-scale=1.0">
        <link href="https://fonts.googleapis.com/css?family=Montserrat:300,400,600&display=swap" rel="stylesheet">
        <link rel="stylesheet" href="style.css">
    </head>
    <body>
        <h1>Convert 5eTools JSON output to DnDAppFile XML</h1>
        <div class="container">
            <div class="column">
                <h3>JSON input</h3>
                <textarea id="jsonInput"></textarea>
                <input type="file" id="jsonUploadInput" name="inputJson" />
                <button disabled role="button" id="convertButton">Convert</button>
            </div>
            <div class="column">
                <h3>XML output</h3>
                <textarea id="xmlOutput"></textarea>
                <button disabled role="button" id="xmlDownloadButton">Download XML as file</button>
            </div>
        </div>
        <div>
            <h3>Motivation &amp; Instructions</h3>
            <p>
            I needed to get my homebrew statblocks from 5etools to Improved Initiative.
            5etools can output a readable JSON format, and Improved Initiative can read
            a DnDAppFile XML. This tool converts one to another.
            </p>
            <h4>Example use case w/ Improved Initiative</h4>
            <ol>
                <li>Go to "Utilities" &gt; "Homebrew builder" in 5etools
                <li>From the autohiding hamburger menu click "Download creatures as JSON"
                <li>Upload that JSON file to this tool
                <li>Click "convert"
                <li>Save the XML file on your machine
                <li>Go to Improved Initiative editor and go to "Settings" &gt; "Account"
                <li>Upload the XML file with "Import statblocks and spells from DnDAppFile"
                <li>Done :)
            </ol>
            <h4>About</h4>
            <p>
            This software is open source. The source can be found on <a href="https://gitlab.com/jans.tuomi/5etools-to-dndappfile">Gitlab</a>.
            </p>
            <p>
            <strong>Author</strong>: Jan Tuomi, &lt;<a href="mailto:jans.tuomi@gmail.com">jans.tuomi@gmail.com</a>&gt;
            </p>
        </div>
        <script src="https://unpkg.com/axios/dist/axios.min.js"></script>
        <script src="https://code.jquery.com/jquery-3.4.1.slim.min.js"
            integrity="sha256-pasqAKBDmFT4eHoN2ndd6lN370kFiGUFyTiUHWhU7k8=" crossorigin="anonymous"></script>
        <script src="script.js"></script>
    </body>
</html>